Subject: Re: [Problem] broadcom tg3 network driver disconnects under high load

From: Prashant Sreedharan <[email-masked]>
Date: Tue, 28 Apr 2015 13:43:01 -0700

On Tue, 2015-04-28 at 16:06 -0400, Toan Pham wrote:
> > We were able to reproduce this issue internally only with iommu enabled.
> 
> My last test to collect lspci-info took about 5 hours over a gigabit
> network for the bug to show up.  My setup was running 3 tx scp
> sessions, each transferring a 1GB file outbound, and 1 rx scp session
> copying another 1GB file inbound.  In a production environment with
> the BCM5762 NIC running as a server, I observed that the failure rate
> is about 1.65/week.  Please perform a similar test with iommu
> disabled, and leave it running for days if need be.

Sure will try
> 
> 
> >  Meanwhile can you try the attached patch and see if you are able to reproduce the problem ?
> 
> No problem.  I will apply the patch to kernel 4.0 and report back the
> result.  Let me know if you need me to turn on any debug options like
> pcie trace, dev debug etc....  Thanks

If you can collect pcie trace that would be great. Thanks